﻿<%@ Page Language="VB" AutoEventWireup="false" CodeFile="Default.aspx.vb" Inherits="_Default" %>

<%@ Register Assembly="Infragistics4.Web.v13.2, Version=13.2.20132.2077, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI.GridControls" TagPrefix="ig" %>

<!DOCTYPE html>
<html id="Default">
<head runat="server">
    <title>Grid Grouping Test</title>
    <script src="jquery-1.9.1.js" type="text/javascript"></script>
</head>
<body>
    <form id="frmGrouping" runat="server">
    <asp:ScriptManager ID="scmGridTest" runat="server" />
    <asp:Label ID="lblGroupBy" runat="server" Text="Group By: "></asp:Label>
    <asp:DropDownList ID="ddlGroupBy" runat="server" Width="200px" AutoPostBack="true">
        <asp:ListItem Text="None" Value="None" />
        <asp:ListItem Text="Id" Value="ID" />
        <asp:ListItem Text="Data" Value="DATA" />
    </asp:DropDownList>
    <div>
        <ig:WebHierarchicalDataGrid ID="whdg" runat="server" Height="600px" Width="800px"
         AutoGenerateBands="False" AutoGenerateColumns="False" EnableAjax="true" 
            StyleSetName="Default">
            <ClientEvents  GroupedRowExpanded="whdgWebHierarchicalDataGrid_onGroupedRowExpanded" 
                           GroupedRowCollapsed="whdgWebHierarchicalDataGrid_onGroupedRowCollapsed"
                           GroupedColumnsChanging="whdgWebHierarchicalDataGrid_onGroupedColumnsChanging"
                           GroupedColumnsChanged="whdgWebHierarchicalDataGrid_onGroupedColumnsChanged" />
            <AjaxIndicator BlockArea="Control" RelativeToControl="True" Location="MiddleCenter" />
            <EmptyRowsTemplate>
                <asp:Label runat="server" ID="lblDiaryTabEmptyRows" Text="No records were found." />
            </EmptyRowsTemplate>
            <GroupingSettings EnableColumnGrouping="True" InitialRowExpandState="Collapsed" 
                EmptyGroupAreaText="Drag column(s) here to group your information." />
            <Behaviors>
                <ig:Activation />
                <ig:Paging Enabled="true" />
                <ig:ColumnMoving />
                <ig:ColumnResizing>
                    <AutoPostBackFlags ColumnResized="true" />
                </ig:ColumnResizing>
                <ig:Sorting SortingMode="Single" >
                    <SortingClientEvents ColumnSorting="whdgWebHierarchicalDataGrid_onColumnSorting" 
                                         ColumnSorted="whdgWebHierarchicalDataGrid_onColumnSorted" />
                </ig:Sorting>
                <ig:Selection CellClickAction="Row" RowSelectType="Single" CellSelectType="Single" Enabled="true" />
            </Behaviors>
        </ig:WebHierarchicalDataGrid>
        <asp:Label ID="lblLastItem" runat="server" Text=""></asp:Label>
    </div>
    </form>
</body>
</html>